﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>{{forumData.Subject.MainTitle| pNumber}}</small>
        {{forumData.Subject.Title| pNumber}}
    </h1>

    <ol ng-include src="'partials/breadcrumb.html'" class="breadcrumb"></ol>
</section>
<div class="row">
    <div class="col-xs-12">
        <div class="col-md-8 col-xs-12 pull-right">

            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="link active">
                        <a ng-click="getTab(0)" data-toggle="tab" aria-expanded="true">
                            <span class="badge bg-green"
                                  ng-show="activeTab == 0"
                                  ng-bind="question.allTotal || '0' | pNumber"
                                  style="margin-right: 8px;margin-top: -3px;">
                            </span>
                            جدیدترین سوالات
                        </a>
                    </li>
                    <li class="link">
                        <a ng-click="getTab(1)" data-toggle="tab" aria-expanded="false">
                            <span class="badge bg-green"
                                  ng-show="activeTab == 1"
                                  ng-bind="question.allBestTotal || '0' | pNumber"
                                  style="margin-right: 8px;margin-top: -3px;">
                            </span>
                            بهترین سوالات
                        </a>
                    </li>
                    <li class="link">
                        <a ng-click="getTab(2)" data-toggle="tab" aria-expanded="false">
                            <span class="badge bg-green"
                                  ng-show="activeTab == 2"
                                  ng-bind="question.allAnsweredTotal || '0' | pNumber"
                                  style="margin-right: 8px;margin-top: -3px;">
                            </span>
                            جواب داده شده
                        </a>
                    </li>
                    <li class="link">
                        <a ng-click="getTab(3)" data-toggle="tab" aria-expanded="false">
                            <span class="badge bg-green"
                                  ng-show="activeTab == 3"
                                  ng-bind="question.allFollowingTotal || '0' | pNumber"
                                  style="margin-right: 8px;margin-top: -3px;">
                            </span>
                            دنبال شده ها
                        </a>
                    </li>
                </ul>
                <div class="tab-content" style="padding: 0">
                    <!-- Last questions -->
                    <div class="tab-pane" ng-class="(activeTab == 0)?'active':''" >
                        <div class="table-responsive no-padding">
                            <table class="table border-bottom-table table-hover" ng-show="question.all.length > 0">
                                <tbody>
                                <tr ng-repeat="q in question.all"  repeat-end="onLastRepeatEnd()"
                                    class="link fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50">
                                    <td><img  class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                              style="width:40px"
                                              ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                                (q.Rate > 2.5)?activity.medium : activity.low}"
                                              title="{{q.score | pNumber | concat : ' امتیاز '}}"
                                              data-toggle="tooltip" data-placement="top"
                                              tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                              tooltip-append-to-body="true"></td>
                                    <td ui-sref="question({id:q.ID})">{{q.FullName | subString :20|pNumber}} <span class="badge bg-yellow">{{q.score | pNumber}}</span></td>
                                    <td ui-sref="question({id:q.ID})" ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                        {{q.Title | subString :30|pNumber}}
                                    </td>
                                    <td ui-sref="question({id:q.ID})">
                                        {{q.ViewCount | pNumber}}
                                        <i class="fa fa-eye palette-peter-river"></i>
                                    </td>
                                    <td class="text-center" ui-sref="question({id:q.ID})" >{{q.AnswersCount || '0'|pNumber}} جواب
                                    </td>
                                    <td ui-sref="question({id:q.ID})" >
                                <span class="persian-rtl text-muted" style="font-size: 12px;">
                                    {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD' |pNumber}}
                                </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="clearfix text-center" style="padding-bottom: 5px;">
                            <h4 class="text-center text-muted" ng-show="question.all.length == 0">
                                بدون سوال
                            </h4>
                            <auto-paging page="1"
                                         page-size="20"
                                         ul-class="pagination pagination-sm no-margin"
                                         action-name="getForumLastQuestions"
                                         data-params="pagingParams"
                                         ng-control="pagingControllerLastQuestions"
                                         scroll-to-begin="false"
                                         only-get-result-when-update="true"
                                         items="question.all"
                                         total-items="question.allTotal"
                                         ng-show="question.all.length > 0">
                            </auto-paging>
                        </div>
                    </div><!-- /.tab-pane -->
                    <!-- Best questions -->
                    <div class="tab-pane" ng-class="(activeTab == 1)?'active':''" >
                        <div class="table-responsive no-padding">
                            <table class="table border-bottom-table table-hover"
                                   ng-show="question.allBest.length > 0">
                                <tbody>
                                <tr class="link fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50"
                                    ng-repeat="q in question.allBest">
                                    <td><img  class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                              style="width:40px"
                                              ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                                (q.Rate > 2.5)?activity.medium : activity.low}"
                                              title="{{q.score | number:1 | pNumber | concat : ' امتیاز '}}"
                                              data-toggle="tooltip" data-placement="top"
                                              tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                              tooltip-append-to-body="true"></td>
                                    <td ui-sref="question({id:q.ID})" >{{q.FullName | subString :20|pNumber}} <span class="badge bg-yellow">{{q.score | pNumber}}</span></td>
                                    <td ui-sref="question({id:q.ID})" ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                        {{q.Title | subString :30|pNumber}}
                                    </td>
                                    <td ui-sref="question({id:q.ID})">
                                        {{q.ViewCount | pNumber}}
                                        <i class="fa fa-eye palette-peter-river"></i>
                                    </td>
                                    <td class="text-center" ui-sref="question({id:q.ID})" >
                                        {{(q.QScore)?q.QScore :' بدون ' |pNumber}} امتیاز
                                    </td>
                                    <td ui-sref="question({id:q.ID})" >
                                <span class="persian-rtl text-muted" style="font-size: 12px;">
                                    {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD' |pNumber}}
                                </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="clearfix text-center" style="padding-bottom: 5px;">
                            <h4 class="text-center text-muted"
                                ng-show="question.allBest.length == 0">
                                بدون سوال
                            </h4>
                            <auto-paging page="1"
                                         page-size="15"
                                         ul-class="pagination pagination-sm no-margin"
                                         action-name="getForumBestQuestions"
                                         data-params="pagingParams"
                                         ng-control="pagingControllerBestQuestions"
                                         scroll-to-begin="false"
                                         only-get-result-when-update="true"
                                         items="question.allBest"
                                         total-items="question.allBestTotal"
                                         ng-show="question.allBest.length > 0">
                            </auto-paging>
                        </div>
                    </div><!-- /.tab-pane -->
                    <!-- Answered questions -->
                    <div class="tab-pane" ng-class="(activeTab == 2)?'active':''" >

                        <div class="table-responsive no-padding">
                            <table class="table border-bottom-table table-hover" ng-show="question.allAnswered.length > 0">
                                <tbody>
                                <tr  class="link fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50"
                                     ng-repeat="q in question.allAnswered">
                                    <td  style="width: 50px;">
                                        <img class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                             style="width:40px;"
                                             ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                   (q.Rate > 2.5)?activity.medium:activity.low}"
                                             title="{{(q.score || '0' )| number:1 | pNumber | concat : ' امتیاز '}}" data-toggle="tooltip" data-placement="top"
                                             tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                             tooltip-append-to-body="true">
                                    </td>
                                    <td ui-sref="question({id:q.ID})">{{q.FullName | subString :20|pNumber}} <span class="badge bg-yellow">{{q.score | pNumber}}</span></td>
                                    <td ui-sref="question({id:q.ID})" ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                        {{q.Title | subString :30|pNumber}}
                                    </td>
                                    <td ui-sref="question({id:q.ID})">
                                        {{q.ViewCount | pNumber}}
                                        <i class="fa fa-eye palette-peter-river"></i>
                                        <!--<span class="label label-success" style="font-size: 10px" ng-if="!q.QViewID">دیده
                                            نشده</span>-->
                                    </td>
                                    <td ui-sref="question({id:q.ID})">{{q.AnswersCount || '0'|pNumber}} جواب </td>
                                    <td ui-sref="question({id:q.ID})">
                                <span class="persian-rtl text-muted" style="font-size: 12px;">
                                    {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}
                                </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="clearfix text-center" style="padding-bottom: 5px;">
                            <h4 class="text-center text-muted" ng-show="question.allAnswered.length == 0">
                                بدون سوال
                            </h4>
                            <auto-paging page="1"
                                         page-size="15"
                                         ul-class="pagination pagination-sm no-margin"
                                         action-name="getLastForumAnsweredQuestions"
                                         data-params="pagingParams"
                                         on-load-finish="loadFinishPageData()"
                                         ng-control="pagingControllerAnswered"
                                         scroll-to-begin="false"
                                         only-get-result-when-update="true"
                                         items="question.allAnswered"
                                         total-items="question.allAnsweredTotal"
                                         ng-show="question.allAnswered.length > 0">
                            </auto-paging>
                        </div>
                    </div><!-- /.tab-pane -->
                    <!-- Following questions -->
                    <div class="tab-pane" ng-class="(activeTab == 3)?'active':''" >
                        <div class="table-responsive no-padding">
                            <table class="table border-bottom-table table-hover"
                                   ng-show="question.allFollowing.length > 0">
                                <tbody>
                                <tr  class="link fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50"
                                     ng-repeat="q in question.allFollowing">
                                    <td><img  class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                              style="width:40px"
                                              ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                                (q.Rate > 2.5)?activity.medium : activity.low}"
                                              title="{{q.score | number:1 | pNumber | concat : ' امتیاز '}}"
                                              data-toggle="tooltip" data-placement="top"
                                              tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                              tooltip-append-to-body="true"></td>
                                    <td ui-sref="question({id:q.ID})" >{{q.FullName | subString :20|pNumber}} <span class="badge bg-yellow">{{q.score | pNumber}}</span></td>
                                    <td ui-sref="question({id:q.ID})" ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                        {{q.Title | subString :30|pNumber}}
                                    </td>

                                    <td ui-sref="question({id:q.ID})">
                                        {{q.ViewCount | pNumber}}
                                        <i class="fa fa-eye palette-peter-river"></i>
                                    </td>
                                    <td class="text-center" ui-sref="question({id:q.ID})" >{{q.AnswersCount || '0'|pNumber}} جواب
                                    </td>
                                    <td ui-sref="question({id:q.ID})" >
                                        <span class="persian-rtl text-muted" style="font-size: 12px;">
                                            {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD' |pNumber}}
                                        </span>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="clearfix text-center" style="padding-bottom: 5px;">
                            <h4 class="text-center text-muted"
                                ng-show="question.allFollowing.length == 0">
                                بدون سوال
                            </h4>
                            <auto-paging page="1"
                                         page-size="15"
                                         ul-class="pagination pagination-sm no-margin"
                                         action-name="getLastFollowingQuestions"
                                         data-params="pagingParams"
                                         ng-control="pagingControllerFollowingQuestions"
                                         scroll-to-begin="false"
                                         only-get-result-when-update="true"
                                         items="question.allFollowing"
                                         total-items="question.allFollowingTotal"
                                         ng-show="question.allFollowing.length != 0">
                            </auto-paging>
                        </div>
                    </div><!-- /.tab-pane -->
                </div><!-- /.tab-content -->
            </div>

            <div class="box box-warning">
                <div class="box-header">
                    <h3 class="box-title vazir-font">سوالات با بهترین جواب ها</h3>
                    <i class="fa fa-question text-muted"></i>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover"
                           ng-show="question.bestAnswered.length > 0">
                        <tbody>
                        <tr class="link fx-bounce-up fx-dur-600 fx-ease-none fx-stagger-80"
                            ng-repeat="q in question.bestAnswered">
                            <td  style="width: 50px;">
                                <img class="img-circle" ng-src="{{q.Image}}" err-src="../images/Avatar.jpg"
                                     style="width:40px;"
                                     ng-style="{'border': (q.Rate > 5) ? activity.high :
                                                   (q.Rate > 2.5)?activity.medium:activity.low}"
                                     title="{{(q.score || '0' )| number:1 | pNumber | concat : ' امتیاز '}}"
                                     data-toggle="tooltip" data-placement="top"
                                     tooltip="Tooltip on left" tooltip-placement="top" tooltip-class="vazir-font"
                                     tooltip-append-to-body="true">
                            </td>
                            <td ui-sref="question({id:q.ID})">
                                {{q.FullName | subString :20| pNumber}}
                                <span class="badge bg-yellow">{{q.score | pNumber}}</span>
                            </td>
                            <td ui-sref="question({id:q.ID})" ng-style="{color: (!q.QViewID)?'rgb(234, 189, 54)':'#777'}">
                                {{q.QuestionText | subString :30|pNumber}}
                            </td>

                            <td ui-sref="question({id:q.ID})">
                                {{q.ViewCount | pNumber}}
                                <i class="fa fa-eye palette-peter-river"></i>
                            </td>
                            <td class="text-center" ui-sref="question({id:q.ID})" >
                                {{(q.AnswersCount)?q.AnswersCount :' بدون ' |pNumber}} جواب
                            </td>
                            <td ui-sref="question({id:q.ID})">
                                <span class="persian-rtl text-muted" style="font-size: 12px;">
                                    {{q.CreationDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}
                                </span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
                <div class="box-footer clearfix text-center">
                    <auto-paging page="1"
                                 page-size="15"
                                 ul-class="pagination pagination-sm no-margin"
                                 action-name="getForumBestAnswers"
                                 data-params="pagingParams"
                                 items="question.bestAnswered"
                                 total-items="question.bestAnsweredTotal"
                                 ng-show="question.bestAnswered.length > 0">
                    </auto-paging>
                    <h4 class="text-center text-muted" ng-show="question.bestAnswered.length == 0">
                        بدون سوال
                    </h4>
                </div>
            </div>

        </div>

        <div class="col-md-4 col-xs-12 pull-right">
            <!--<div class="box box-primary">-->
                <!--<div class="box-header with-border">-->
                    <!--<h3 class="box-title vazir-font">نمودار افزایشی {{forumData.Subject.Title}}</h3>-->
                <!--</div>&lt;!&ndash; /.box-header &ndash;&gt;-->
                <!--<div class="box-body persian-rtl">-->
                    <!--<div class="col-xs-12 text-center">-->
                        <!--<ul class="nav nav-pills" style="padding-right: 0px;display: inline-block;">-->
                            <!--<li style="padding-left: 20px">-->
                                <!--<i class="fa fa-circle text-red"></i>-->
                                <!--<span>جواب ها</span>-->
                            <!--</li>-->
                            <!--<li>-->
                                <!--<i class="fa fa-circle" style="color: #00BBCC;"></i>-->
                                <!--<span>سوال ها</span>-->
                            <!--</li>-->
                        <!--</ul>-->
                    <!--</div>-->
                    <!--<serial-chart-->
                            <!--chart-id="chart1"-->
                            <!--chart-data="forumData.ChartData"-->
                            <!--chart-graphs="incrementChartOptions"-->
                            <!--chart-height="220"></serial-chart>-->
                <!--</div>-->
            <!--</div>-->
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font">نمودار تعداد {{forumData.Subject.Title}}</h3>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div class="col-xs-12 text-center">
                        <ul class="nav nav-pills" style="padding-right: 0px;display: inline-block;">
                            <li style="padding-left: 20px">
                                <i class="fa fa-circle text-red"></i>
                                <span>جواب ها</span>
                            </li>
                            <li>
                                <i class="fa fa-circle" style="color: #00BBCC;"></i>
                                <span>سوال ها</span>
                            </li>
                        </ul>
                    </div>
                    <serial-chart chart-id="chart2"
                                  chart-data="forumData.ChartData"
                                  chart-graphs="dailyChartOptions"
                                  chart-height="220"
                                  enable-scroll-bar="true"></serial-chart>
                </div><!-- /.box-body -->
            </div><!-- /.box -->


        </div>
    </div>
</div>
